package com.bonus.core.drp.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class DrpOutInventory {
   @TableId
   private Long id;
   private String outId;
   private Long warehouseId;
   private LocalDateTime outDate;
   private Long fetchUserId;
   private Long totalAmount;
   private BigDecimal totalNum;
   private Integer outType;
   private Integer status;
   private String remark;
   private Integer delFlag;
   private String ordId;
   private Integer revision;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("采购计划id")
   private String planId;
   @ApiModelProperty("领料单ID")
   private String fetchMaterialId;
   @ApiModelProperty("货品调拨id")
   private String goodsAllocationId;

   public Long getId() {
      return this.id;
   }

   public String getOutId() {
      return this.outId;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public LocalDateTime getOutDate() {
      return this.outDate;
   }

   public Long getFetchUserId() {
      return this.fetchUserId;
   }

   public Long getTotalAmount() {
      return this.totalAmount;
   }

   public BigDecimal getTotalNum() {
      return this.totalNum;
   }

   public Integer getOutType() {
      return this.outType;
   }

   public Integer getStatus() {
      return this.status;
   }

   public String getRemark() {
      return this.remark;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public String getOrdId() {
      return this.ordId;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getPlanId() {
      return this.planId;
   }

   public String getFetchMaterialId() {
      return this.fetchMaterialId;
   }

   public String getGoodsAllocationId() {
      return this.goodsAllocationId;
   }

   public DrpOutInventory setId(final Long id) {
      this.id = id;
      return this;
   }

   public DrpOutInventory setOutId(final String outId) {
      this.outId = outId;
      return this;
   }

   public DrpOutInventory setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
      return this;
   }

   public DrpOutInventory setOutDate(final LocalDateTime outDate) {
      this.outDate = outDate;
      return this;
   }

   public DrpOutInventory setFetchUserId(final Long fetchUserId) {
      this.fetchUserId = fetchUserId;
      return this;
   }

   public DrpOutInventory setTotalAmount(final Long totalAmount) {
      this.totalAmount = totalAmount;
      return this;
   }

   public DrpOutInventory setTotalNum(final BigDecimal totalNum) {
      this.totalNum = totalNum;
      return this;
   }

   public DrpOutInventory setOutType(final Integer outType) {
      this.outType = outType;
      return this;
   }

   public DrpOutInventory setStatus(final Integer status) {
      this.status = status;
      return this;
   }

   public DrpOutInventory setRemark(final String remark) {
      this.remark = remark;
      return this;
   }

   public DrpOutInventory setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }

   public DrpOutInventory setOrdId(final String ordId) {
      this.ordId = ordId;
      return this;
   }

   public DrpOutInventory setRevision(final Integer revision) {
      this.revision = revision;
      return this;
   }

   public DrpOutInventory setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DrpOutInventory setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DrpOutInventory setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DrpOutInventory setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }

   public DrpOutInventory setPlanId(final String planId) {
      this.planId = planId;
      return this;
   }

   public DrpOutInventory setFetchMaterialId(final String fetchMaterialId) {
      this.fetchMaterialId = fetchMaterialId;
      return this;
   }

   public DrpOutInventory setGoodsAllocationId(final String goodsAllocationId) {
      this.goodsAllocationId = goodsAllocationId;
      return this;
   }

}
